> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdcreate.md).

# Table$create

### **Table$**<mark style="color:purple;">**create**</mark>**(*****description=NULL, upload\_merge\_strategy='append', is\_file\_index=FALSE*****)** → [**Table**](/api/client-libraries/redivis-r/reference/table.md)

Creates a table. After calling create, the `properties` field will be fully populated. Can only be called if the table is scoped to an unreleased version of a dataset (see example below).&#x20;

### **Parameters:**

**`description` :&#x20;*****str*** \
A description to associate with the table.

**`upload_merge_strategy` :&#x20;*****{'append', 'replace'}, default 'append'*** \
Defines how uploads to the table should apply in this version; that is, whether uploads should be appended to the previous version of the table, or replace it (this will have no effect for the first version as both strategies yield the same result). It will also define the default strategy for any versions moving forward.

**`is_file_index` : bool, default FALSE** \
Whether or not the table represents a collection of non-tabular files, with each row representing a file. Index tables are also referred to as "Folders" in some parts of the user interface. If a table is created with `isFileIndex=TRUE`, you will be able to add files via the Table$add\_files method. Otherwise, if your table contains tabular data, you can upload tabular data via Upload$create.

### **Returns:**

[**Table**](/api/client-libraries/redivis-r/reference/table.md)

### Examples:

```r
dataset <- redivis$user("name")$dataset("dataset_name", version="next")
dataset$table("table_name").create()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdcreate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
